<?php

namespace Tests\CacheService\LogisticTimingService\FindByParamsTest;

use App\Logistic;
use App\Services\LogisticTimingService;
use Tests\TestCase;

class FindByParamsTest extends TestCase
{
    /** @var LogisticTimingService $logisticTimingService */
    public $logisticTimingService;

    public function setUp(): void
    {
        parent::setUp();
        $this->logisticTimingService = app(LogisticTimingService::class);
    }

    public function testFindByParams()
    {
        $cityName = '江苏省';
        $provinceName = '南京市';
        $logistic = Logistic::query()->where('name','like','新杰物流'.'%')->first();
        $result=$this->logisticTimingService->findByParams($cityName,$provinceName,$logistic->id);
        $this->assertNull($result);
    }
}
